Bug 272459 - kpresenter:msoffice2003:Autoshapes Triangles are not displayed
Summary: kpresenter:msoffice2003:Autoshapes Triangles are not displayed
Status: VERIFIED FIXED
Alias: None
Product: calligrastage
Classification: Unclassified
Component: filter/ppt (show other bugs)
Version: SVN
Platform: Unlisted Binaries Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: LukasT
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-04 17:16 UTC by LukasT
Modified: 2011-11-07 10:29 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
MS Office 2003 document with shapes (12.00 KB, application/vnd.ms-powerpoint)
2011-05-04 17:17 UTC, LukasT
Details
Different shape representing triangles (12.00 KB, application/vnd.ms-powerpoint)
2011-05-04 17:18 UTC, LukasT
Details

Note You need to log in before you can comment on or make changes to this bug.
Description LukasT 2011-05-04 17:16:37 UTC
Version:           svn
OS:                Linux

There is code that handle this type of shapes, but the shapes are not displayed.

Reproducible: Always

Steps to Reproduce:
Observe the attached documents (isosceles and right triangles) in MS Office, OOo and stage.



Actual Results:  
Nothing is displayed.

Expected Results:  
Various triangles should be displayed.
Comment 1 LukasT 2011-05-04 17:17:50 UTC
Created attachment 59616 [details]
MS Office 2003 document with shapes
Comment 2 LukasT 2011-05-04 17:18:27 UTC
Created attachment 59617 [details]
Different shape representing triangles
Comment 3 LukasT 2011-05-04 17:18:48 UTC
I will work on this one
Comment 4 LukasT 2011-05-04 17:58:14 UTC
Git commit dc4e7720be456ca31165ede21db9dfc68a6d6dc2 by Lukáš Tvrdý.
Committed on 04/05/2011 at 18:07.
Pushed by lukast into branch 'master'.

Fix displaying of the triangle shapes

o Define modifier for Isosceles, define viewbox for both types
o glue points, enhanced path and text areas
  are different in triangle shape types

BUG:272459

M  +14   -2    filters/libmso/shapes.cpp     

http://commits.kde.org/calligra/dc4e7720be456ca31165ede21db9dfc68a6d6dc2
Comment 5 swathi 2011-11-07 10:29:06 UTC
Verified in aac9b32c182585abca4455b7c67016d61340a555,